import {httpApi} from "../../request/httpApi";

export default {
    //获取分页
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/attendance/trip/page',
            method: 'post',
            data: form
        }, msg);
    },
   //获取草稿箱列表
   async getDraftList(form, msg = true) {
    return httpApi({
        url: '/api/blade-control/attendance/trip/draft/list',
        method: 'get',
        params: form
    }, msg);
  },
  //出差信息删除
  async remove(form, msg = true) {
    return httpApi({
        url: '/api/blade-control/attendance/trip/remove',
        method: 'post',
        params: form
    }, msg);
  } ,
  //出差信息提交
  async submit(form, msg = true) {
    return httpApi({
        url: '/api/blade-control/attendance/trip/submit',
        method: 'post',
        data: form
    }, msg);
  }  ,
  //出差信息详情
  async detail(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/attendance/trip/detail',
            method: 'get',
            params: form
        }, msg);
   },
     //出差草稿信息详情
  async draftDetail(form, msg = true) {
    return httpApi({
        url: '/api/blade-control/attendance/trip/draft/detail',
        method: 'get',
        params: form
    }, msg);
},
     //出差信息上报撤销
  async cancel(form, msg = true) {
    return httpApi({
        url: '/api/blade-control/attendance/trip/cancel',
        method: 'post',
        params: form
    }, msg);
  }  ,
}

